package com.goafanti.common.model;

import java.math.BigDecimal;

import org.apache.commons.lang3.StringUtils;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.goafanti.common.utils.FileUtils;

public class OrgFinance {
    private String id;

    private String uid;

    /**
    * 主营业务收入
      (万元)
    */
    private BigDecimal mainBusinessIncome;

    /**
    * 管理费用(万元)
    */
    private BigDecimal managementCost;

    /**
    * 营业利润(万元)
    */
    private BigDecimal operatingProfit;

    /**
    * 支付的各项税费(万元)
    */
    private BigDecimal variousTax;

    /**
    * 流动资产
    */
    private BigDecimal currentAsset;

    /**
    * 固定资产净额
		(万元)
    */
    private BigDecimal netFixedAsset;

    /**
    * 资产总额(万元)
    */
    private BigDecimal totalAsset;

    /**
    * 所有者权益合计(万元)
    */
    private BigDecimal netAsset;

    /**
    * 利润总额(万元)
    */
    private BigDecimal grossProfit;

    /**
    * 净利润(万元)
    */
    private BigDecimal netProfit;

    /**
    * 销售收入(万元)
    */
    private BigDecimal salesRevenue;
    
    /**
     * 年份
     */
    private Integer year;

    /**
    * 财务报表URL
    */
    private String financeUrl;
    
    /**
     * 研发费用
     */
    private BigDecimal researchCost;
    
    /**
     * 删除标记
     */
    private Integer deletedSign;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }


    public BigDecimal getMainBusinessIncome() {
		return mainBusinessIncome;
	}

	public void setMainBusinessIncome(BigDecimal mainBusinessIncome) {
		this.mainBusinessIncome = mainBusinessIncome;
	}

	public BigDecimal getManagementCost() {
		return managementCost;
	}

	public void setManagementCost(BigDecimal managementCost) {
		this.managementCost = managementCost;
	}

	public BigDecimal getOperatingProfit() {
		return operatingProfit;
	}

	public void setOperatingProfit(BigDecimal operatingProfit) {
		this.operatingProfit = operatingProfit;
	}

	public BigDecimal getVariousTax() {
		return variousTax;
	}

	public void setVariousTax(BigDecimal variousTax) {
		this.variousTax = variousTax;
	}

	public BigDecimal getCurrentAsset() {
		return currentAsset;
	}

	public void setCurrentAsset(BigDecimal currentAsset) {
		this.currentAsset = currentAsset;
	}

	public BigDecimal getNetFixedAsset() {
		return netFixedAsset;
	}

	public void setNetFixedAsset(BigDecimal netFixedAsset) {
		this.netFixedAsset = netFixedAsset;
	}

	public BigDecimal getTotalAsset() {
		return totalAsset;
	}

	public void setTotalAsset(BigDecimal totalAsset) {
		this.totalAsset = totalAsset;
	}

	public BigDecimal getNetAsset() {
		return netAsset;
	}

	public void setNetAsset(BigDecimal netAsset) {
		this.netAsset = netAsset;
	}

	public BigDecimal getGrossProfit() {
		return grossProfit;
	}

	public void setGrossProfit(BigDecimal grossProfit) {
		this.grossProfit = grossProfit;
	}

	public BigDecimal getNetProfit() {
		return netProfit;
	}

	public void setNetProfit(BigDecimal netProfit) {
		this.netProfit = netProfit;
	}

	public BigDecimal getSalesRevenue() {
		return salesRevenue;
	}

	public void setSalesRevenue(BigDecimal salesRevenue) {
		this.salesRevenue = salesRevenue;
	}

	public String getFinanceUrl() {
        return financeUrl;
    }

    public void setFinanceUrl(String financeUrl) {
        this.financeUrl = financeUrl;
    }
    
    
    
    public BigDecimal getResearchCost() {
		return researchCost;
	}

	public void setResearchCost(BigDecimal researchCost) {
		this.researchCost = researchCost;
	}

	@JsonIgnore
	public Integer getDeletedSign() {
		return deletedSign;
	}

	public void setDeletedSign(Integer deletedSign) {
		this.deletedSign = deletedSign;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}
	
	//财务报表
	public String getFinanceDownloadFileName(){
		if (StringUtils.isBlank(this.financeUrl)){
			return null;
		} else {
			return FileUtils.getDownloadFileName(this.financeUrl);
		}
	}
	
	public void setFinanceDownloadFileName(String protocolDownloadFileName){
		
	}
	
	
    
    
}